Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogWrite Method
DatabaseEnvironment Class See Also Send Feedback

Append a record to the log

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public LSN LogWrite(
    	DatabaseEntry dbt,
    	bool flush
    )

Visual Basic (Declaration)
    Public Function LogWrite ( _
    	dbt As DatabaseEntry, _
    	flush As Boolean _
    ) As LSN

Visual C++
    public:
    LSN^ LogWrite(
    	DatabaseEntry^ dbt,
    	bool flush
    )

#### Parameters

dbt
  Type: BerkeleyDB..::.DatabaseEntry
  The record to write to the log.

flush
  Type: System..::.Boolean
  If true, the log is forced to disk after this record is written, guaranteeing that all records with LSN values less than or equal to the one being "put" are on disk before LogWrite returns.

#### Return Value

The LSN of the written record

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace